<?php
namespace Claromentis\People\Event;

$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] = (@$GLOBALS["__65da1b1ec2d6" . "653e8a0ab7848e" . "536215"] ?: array()) + array("user_" . "id" => base64_decode("dXNlcl9p" . "ZA=="), "_8cca4dd34e20c" . "5344bb2a30f253" . "3c4e5" => base64_decode("ZnV" . "sbF" . "9uY" . "W1l"), "_28c85ce81fee653298026289" . "3b6f2425" => base64_decode("dXNlcm" . "5hbWU="), "_dd45fa0d6586ab8" . "e73f6f6f116b1a97" . "0" => base64_decode("cHJldl91" . "c2VyX2lk"), "_b070ffda70d673baa2ab1a4ca13c2" . "54c" => base64_decode("cHJldl91c2VybmFtZQ" . "=="), "_baec81a782bb3d5" . "38149a9225688246" . "e" => base64_decode("ZXZlbnRfc291c" . "mNl"), "_5439477835f9c7cc26a988f88" . "cb19553" => base64_decode("cHJldl9mdWxs" . "X25hbWU="), "_539cf4259a149ca9dbb739b2cdb" . "7c608" => base64_decode("ZW1haWxfYWRkcm" . "Vzcw=="), "contex" . "t" => base64_decode("Y29udGV4dA" . "=="), "_eb6cb462373" . "5c07195e9373" . "5d659236d" => base64_decode("cHJldl9lbWFpbF9" . "hZGRyZXNz"));
use Claromentis\Core\Event\GenericEvent;
use Claromentis\Core\Security\SecurityContext;
use InvalidArgumentException;









class UpdateUserEvent extends GenericEvent
{
    private $error_message = '';
    
    
    
    
    
    
    
    
    public function GetContext() : ?SecurityContext
    {
        return $this->hasArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["contex" . "t"]) ? $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["cont" . "ext"]) : null;
    }
    
    
    
    
    
    
    public function GetUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["user_i" . "d"]);
    }
    
    
    
    
    public function GetFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_8cca4dd34e20c5344bb2a30f2533c" . "4e5"]);
    }
    
    
    
    
    public function GetUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_28c85ce81fee6532980262893b6f24" . "25"]);
    }
    
    
    
    
    public function GetEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_539cf4259a" . "149ca9dbb73" . "9b2cdb7c608"]);
    }
    
    
    
    
    public function GetPrevUserId()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e" . "536215"]["_dd45fa0d6586a" . "b8e73f6f6f116b" . "1a970"]);
    }
    
    
    
    
    public function GetPrevFullName()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_5439477835f9c7cc26a988" . "f88cb19553"]);
    }
    
    
    
    
    public function GetPrevUsername()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_b070ffda70d673" . "baa2ab1a4ca13c2" . "54c"]);
    }
    
    
    
    
    public function GetPrevEmailAddress()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_eb6cb4623735c07195e93735d6" . "59236d"]);
    }
    
    
    
    
    
    
    
    
    public function GetEventSource()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_baec81a782bb3" . "d538149a922568" . "8246e"]);
    }
    
    
    
    
    
    
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
    
    
    
    
    
    
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
}